#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		ecore_ver	1.7.9
%define		eet_ver		1.7.9
%define		eina_ver	1.7.9

Summary:	Library for manipulating devices through udev
Summary(pl.UTF-8):	Biblioteka do operowania urządzeniami korzystająca z udev
Name:		eeze
Version:	1.7.9
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	94743f4f50682b58e2761bfb5978a48a
URL:		http://trac.enlightenment.org/e/wiki/Eeze
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	ecore-con-devel >= %{ecore_ver}
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	ecore-file-devel >= %{ecore_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	libmount-devel >= 2.18.0
BuildRequires:	libtool
BuildRequires:	udev-devel >= 1:148
BuildRequires:	pkgconfig >= 1:0.22
Requires:	ecore >= %{ecore_ver}
Requires:	eet >= %{eet_ver}
Requires:	eina >= %{eina_ver}
Requires:	libmount >= 2.18.0
Requires:	udev-libs >= 1:148
Obsoletes:	enlightenment-utils-eeze
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eeze is a library for manipulating devices through udev with a simple
and fast API. It interfaces directly with libudev, avoiding such
middleman daemons as udisks/upower or hal, to immediately gather
device information the instant it becomes known to the system. This
can be used to determine such things as:
 - If a CD-ROM has a disk inserted
 - The temperature of a cpu core
 - The remaining power left in a battery
 - The current power consumption of various parts
 - Monitor in realtime the status of peripheral devices.
  
Each of the above examples can be performed by using only a single
eeze function, as one of the primary focuses of the library is to
reduce the complexity of managing devices.

%description -l pl.UTF-8
Eeze to bibliotek do operowania urządzeniami poprzez udev z prostym i
szybkim API. Działa bezpośrednio z libudev, bez pośrednich demonów,
takich jak udisks, upower czy hal, aby zebrać informacje z urządzeń
natychmiast, kiedy staną się znane w systemie. Może to służyć do
określania rzeczy takich jak:
 - włożenie płyty CD
 - termperatura rdzenia procesora
 - pozostała pojemność baterii
 - aktualne zużycie energii przez różne elementy
 - monitorowanie stanu urządzeń peryferyjnych w czasie rzeczywistym.

Każde z tych zapytań może być wykonane przy użyciu jedynie pojedynczej
funkcji eeze, jako że jedną z głównych idei biblioteki jest
ograniczenie skomplikowania zarządzania urządzeniami.

%package devel
Summary:	Eeze header files
Summary(pl.UTF-8):	Pliki nagłówkowe Eeze
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ecore-devel >= %{ecore_ver}
Requires:	eina-devel >= %{eina_ver}
Requires:	udev-devel >= 1:148

%description devel
Header files for Eeze.

%description devel -l pl.UTF-8
Pliki nagłówkowe Eeze.

%package static
Summary:	Static Eeze library
Summary(pl.UTF-8):	Statyczna biblioteka Eeze
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Eeze library.

%description static -l pl.UTF-8
Statyczna biblioteka Eeze.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-eject=/usr/bin/eject \
	--with-mount=/bin/mount \
	--with-umount=/bin/umount
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/eeze_disk_ls
%attr(755,root,root) %{_bindir}/eeze_mount
%attr(755,root,root) %{_bindir}/eeze_scanner
%attr(755,root,root) %{_bindir}/eeze_umount
%attr(755,root,root) %{_libdir}/libeeze.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libeeze.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libeeze.so
%{_libdir}/libeeze.la
%{_includedir}/eeze-1
%{_pkgconfigdir}/eeze.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libeeze.a
%endif
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eeze.git;a=log;h=master

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> ffee8fd
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> e3257ea
- updated to 1.7.7

* Mon Apr 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 33fe17a
- updated to 1.7.6

* Sun Jan 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 6bece05
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 1bfbb0d
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 87b4db2
- updated to 1.7.2

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> c3da248
- updated to 1.7.1

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> ccd3945
- updated to 1.7.0
- eeze_scanner has been moved to plain bindir, so merged enlightenment-utils-eeze into base

* Sat Jun 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f8a050
- release 2

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 0b03b2a
- updated to 1.2.0

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> 6b572c3
- enlightenment-utils-eeze package; rel 3

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> d868083
- force mount, umount, eject paths
- eeze_scanner is needed by efm
- rel 2

* Sun Dec 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a99e44
- updated to 1.1.0

* Sun Aug 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 107dec0
- updated to 1.0.2

* Wed Mar 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 5d0e8e4
- updated to 1.0.1

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 71aa546
- package ChangeLog

* Tue Feb 01 2011 lisu <lisu@pld-linux.org> 791d3c2
- rel 2

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 4d9492a
- rel 1

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 76ec9f2
- 1.0.0 is now stable

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> a786efc
- updated to 1.0.0.beta3
- License is BSD
- added pl description, killed copy-pastos

